Bug 488365 - alsa-plugins-pulse: Firefox crashes playing youtube video
alsa-plugins-pulse: Firefox crashes playing youtube video
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-plugins (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
: 495394 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 16:58 EST by kevin
Modified: 2018-04-11 08:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 10:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from "rpm -qa" and "firefox -g" (53.33 KB, text/plain)
2009-03-05 15:38 EST, kevin
no flags Details

  None (edit)
Description kevin 2009-03-03 16:58:22 EST
Description of problem:
This is exactly the Ubuntu bug http://www.mail-archive.com/ubuntu-bugs@lists.ubuntu.com/msg1295620.html

Version-Release number of selected component (if applicable):
firefox-3.0.6-1.fc10.i386.rpm

How reproducible:
Try to play any youtube video
Comment 1 Matěj Cepl 2009-03-04 15:27:40 EST
I did, many times. :) Could you please give us output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 kevin 2009-03-04 16:27:26 EST
BTW: All software up-to-date - ran "yum update" just prior to gathering this data.

$ rpm -qa xulrun firefox mozilla flash plugin
firefox-3.0.6-1.fc10.i386

===

Hmm, I don't think this is what you wanted, please see block after next "===" line

$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0.6
  LD_LIBRARY_PATH=/usr/lib/firefox-3.0.6:/usr/lib/firefox-3.0.6/plugins:/usr/lib/firefox-3.0.6
DISPLAY=:0                                                                                    
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0.6/res/Xft                                     
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0.6:/usr/lib/firefox-3.0.6
     LIBRARY_PATH=/usr/lib/firefox-3.0.6:/usr/lib/firefox-3.0.6/components:/usr/lib/firefox-3.0.6
       SHLIB_PATH=/usr/lib/firefox-3.0.6:/usr/lib/firefox-3.0.6
          LIBPATH=/usr/lib/firefox-3.0.6:/usr/lib/firefox-3.0.6
       ADDON_PATH=/usr/lib/firefox-3.0.6
      MOZ_PROGRAM=/usr/lib/firefox-3.0.6/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib/qt-3.3/bin:/usr/kerberos/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/kmg/bin:/home/kmg/aipex/sensis/bin)
/usr/bin/gdb /usr/lib/firefox-3.0.6/firefox -x /tmp/mozargs.V8FrRw
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) r
Starting program: /usr/lib/firefox-3.0.6/firefox
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fdc6d0 (LWP 8303)]

Program exited normally.
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.16-1.fc10.i386 avahi-0.6.22-12.fc10.i386 avahi-glib-0.6.22-12.fc10.i386 dbus-glib-0.76-3.fc10.i386 dbus-libs-1.2.4-2.fc10.i386 e2fsprogs-libs-1.41.4-1.fc10.i386 expat-2.0.1-5.i386 gnome-keyring-2.24.1-1.fc10.i386 keyutils-libs-1.2-3.fc9.i386 krb5-libs-1.6.3-16.fc10.i386 lcms-libs-1.17-6.fc10.i386 libICE-1.0.4-4.fc10.i386 libSM-1.1.0-2.fc10.i386 libX11-1.1.4-6.fc10.i386 libXau-1.0.4-1.fc10.i386 libXcomposite-0.4.0-5.fc10.i386 libXcursor-1.1.9-3.fc10.i386 libXdamage-1.1.1-4.fc9.i386 libXdmcp-1.0.2-6.fc10.i386 libXext-1.0.4-1.fc9.i386 libXfixes-4.0.3-4.fc10.i386 libXft-2.1.13-1.fc10.i386 libXi-1.1.3-4.fc9.i386 libXinerama-1.0.3-2.fc10.i386 libXrandr-1.2.3-1.fc10.i386 libXrender-0.9.4-3.fc9.i386 libXt-1.0.5-1.fc10.i386 libart_lgpl-2.3.20-1.fc9.i386 libbonobo-2.24.0-2.fc10.i386 libbonoboui-2.24.0-1.fc10.i386 libcap-2.10-2.fc10.i386 libgnome-2.24.1-9.fc10.i386 libgnomecanvas-2.20.1.1-4.fc10.i386 libgnomeui-2.24.0-2.fc10.i386 libjpeg-6b-43.fc10.i386 libpng-1.2.35-1.fc10.i386 libselinux-2.0.73-1.fc10.i386 libxcb-1.1.91-5.fc10.i386 libxml2-2.7.3-1.fc10.i386 nss-3.12.2.0-4.fc10.i386 openssl-0.9.8g-12.fc10.i686 pixman-0.12.0-2.fc10.i386 popt-1.13-4.fc10.i386 sqlite-3.5.9-4.fc10.i386 zlib-1.2.3-18.fc9.i386
(gdb) thread apply all backtrace
No registers.
(gdb) q

===

Not sure whether this is of any value since I executed the firefox binary directly, but here goes:

$ gdb /usr/lib/firefox-3.0.6/firefox
GNU gdb Fedora (6.8-29.fc10)                          
Copyright (C) 2008 Free Software Foundation, Inc.     
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.           
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"   
and "show warranty" for details.                                             
This GDB was configured as "i386-redhat-linux-gnu"...                        
(gdb) r                                                                      
Starting program: /usr/lib/firefox-3.0.6/firefox                             
[Thread debugging using libthread_db enabled]                                
[New Thread 0xb7fdc6d0 (LWP 8567)]                                           
[New Thread 0xb7ddbb90 (LWP 8578)]                                           
[New Thread 0xb73dab90 (LWP 8579)]                                           
[New Thread 0xb6916b90 (LWP 8580)]                                           
[New Thread 0xb597fb90 (LWP 8581)]                                           
[New Thread 0xb4f7eb90 (LWP 8582)]                                           
[New Thread 0xb457db90 (LWP 8583)]                                           
[New Thread 0xb3b7cb90 (LWP 8586)]                                           
[New Thread 0xb317bb90 (LWP 8587)]                                           
[Thread 0xb3b7cb90 (LWP 8586) exited]                                        
[New Thread 0xb3b7cb90 (LWP 8590)]                                           
[New Thread 0xb277ab90 (LWP 8591)]                                           
[Thread 0xb277ab90 (LWP 8591) exited]                                        
[Thread 0xb317bb90 (LWP 8587) exited]                                        
[New Thread 0xb317bb90 (LWP 8592)]                                           
Detaching after fork from child process 8595.                                
[New Thread 0xb277ab90 (LWP 8598)]                                           
[New Thread 0xb0ac0b90 (LWP 8599)]                                           
[New Thread 0xb00bfb90 (LWP 8602)]                                           
[Thread 0xb0ac0b90 (LWP 8599) exited]                                        
[Thread 0xb00bfb90 (LWP 8602) exited]                                        
[New Thread 0xb00bfb90 (LWP 8603)]                                           
[New Thread 0xb0ac0b90 (LWP 8604)]                                           
[New Thread 0xa06c8b90 (LWP 8605)]                                           
[New Thread 0x9bcc6b90 (LWP 8606)]                                           
[New Thread 0x972c4b90 (LWP 8607)]                                           
[New Thread 0x928c2b90 (LWP 8608)]                                           
[New Thread 0x8dec0b90 (LWP 8609)]                                           
[New Thread 0x894beb90 (LWP 8610)]                                           
[New Thread 0x84abcb90 (LWP 8611)]                                           
[New Thread 0xaf6beb90 (LWP 8612)]                                           
[New Thread 0x7c0b9b90 (LWP 8613)]                                           
[New Thread 0x776b7b90 (LWP 8614)]                                           
[New Thread 0x72cb5b90 (LWP 8615)]                                           
[New Thread 0x6e2b3b90 (LWP 8616)]                                           
[New Thread 0x698b1b90 (LWP 8617)]                                           
[New Thread 0x64eafb90 (LWP 8618)]                                           
[New Thread 0x604adb90 (LWP 8619)]                                           
[New Thread 0x5baabb90 (LWP 8620)]                                           
[New Thread 0x570a9b90 (LWP 8621)]                                           
[New Thread 0x526a7b90 (LWP 8622)]                                           
[New Thread 0xaecbdb90 (LWP 8623)]                                           
[New Thread 0x49ca4b90 (LWP 8624)]                                           
[New Thread 0x452a2b90 (LWP 8625)]                                           
[New Thread 0x408a0b90 (LWP 8627)]                                           
[New Thread 0x3be9eb90 (LWP 8629)]                                           
[New Thread 0x3749cb90 (LWP 8630)]                                           
[New Thread 0xae2bcb90 (LWP 8631)]                                           
[New Thread 0x2ea99b90 (LWP 8632)]                                           
[New Thread 0x2a097b90 (LWP 8633)]                                           
[New Thread 0x25695b90 (LWP 8634)]                                           
[New Thread 0x20c93b90 (LWP 8635)]                                           
[New Thread 0x1c291b90 (LWP 8636)]                                           
[New Thread 0x1788fb90 (LWP 8637)]                                           
ALSA lib pcm_pulse.c:626:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

[New Thread 0x12e8db90 (LWP 8639)]
ALSA lib pcm_pulse.c:626:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

[New Thread 0xe48bb90 (LWP 8640)]
ALSA lib pcm_pulse.c:626:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

[New Thread 0xad8bbb90 (LWP 8641)]
ALSA lib pcm_pulse.c:626:(pulse_prepare) PulseAudio: Unable to create stream: Invalid argument

E: shm.c: mmap() failed: Cannot allocate memory
<snip>
E: shm.c: mmap() failed: Cannot allocate memory
firefox: pulse.c:200: pulse_new: Assertion `p->context' failed.

Program received signal SIGABRT, Aborted.
0x00b07416 in __kernel_vsyscall ()       
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.16-1.fc10.i386 alsa-lib-devel-1.0.19-2.fc10.i386 alsa-plugins-pulseaudio-1.0.18-2.fc10.i386 avahi-0.6.22-12.fc10.i386 avahi-glib-0.6.22-12.fc10.i386 dbus-glib-0.76-3.fc10.i386 dbus-libs-1.2.4-2.fc10.i386 e2fsprogs-libs-1.41.4-1.fc10.i386 expat-2.0.1-5.i386 gdbm-1.8.0-29.fc10.i386 gnome-keyring-2.24.1-1.fc10.i386 gtk-nodoka-engine-0.7.2-1.fc10.i386 keyutils-libs-1.2-3.fc9.i386 krb5-libs-1.6.3-16.fc10.i386 lcms-libs-1.17-6.fc10.i386 libICE-1.0.4-4.fc10.i386 libSM-1.1.0-2.fc10.i386 libX11-1.1.4-6.fc10.i386 libXScrnSaver-1.1.3-1.fc10.i386 libXau-1.0.4-1.fc10.i386 libXcomposite-0.4.0-5.fc10.i386 libXcursor-1.1.9-3.fc10.i386 libXdamage-1.1.1-4.fc9.i386 libXdmcp-1.0.2-6.fc10.i386 libXext-1.0.4-1.fc9.i386 libXfixes-4.0.3-4.fc10.i386 libXft-2.1.13-1.fc10.i386 libXi-1.1.3-4.fc9.i386 libXinerama-1.0.3-2.fc10.i386 libXrandr-1.2.3-1.fc10.i386 libXrender-0.9.4-3.fc9.i386 libXt-1.0.5-1.fc10.i386 libart_lgpl-2.3.20-1.fc9.i386 libasyncns-0.7-1.fc10.i386 libbonobo-2.24.0-2.fc10.i386 libbonoboui-2.24.0-1.fc10.i386 libcap-2.10-2.fc10.i386 libgnome-2.24.1-9.fc10.i386 libgnomecanvas-2.20.1.1-4.fc10.i386 libgnomeui-2.24.0-2.fc10.i386 libjpeg-6b-43.fc10.i386 libpng-1.2.35-1.fc10.i386 libselinux-2.0.73-1.fc10.i386 libxcb-1.1.91-5.fc10.i386 libxml2-2.7.3-1.fc10.i386 nss-3.12.2.0-4.fc10.i386 openssl-0.9.8g-12.fc10.i686 pixman-0.12.0-2.fc10.i386 popt-1.13-4.fc10.i386 pulseaudio-libs-0.9.14-1.fc10.i386 sqlite-3.5.9-4.fc10.i386 zlib-1.2.3-18.fc9.i386                                                      
(gdb) thread apply all backtrace                                                                                                              

Thread 51 (Thread 0xad8bbb90 (LWP 8641)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x90278d0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                 
#3  0x090278d0 in ?? ()                                                                             
#4  0x00000002 in ?? ()                                                                             
#5  0xffffffff in ?? ()                                                                             
#6  0xffffffff in ?? ()                                                                             
#7  0x0921e830 in ?? ()                                                                             
#8  0x00000000 in ?? ()                                                                             

Thread 50 (Thread 0xe48bb90 (LWP 8640)):
#0  0x00b07416 in __kernel_vsyscall ()  
#1  0x001e9777 in __poll (fds=0x91499e8, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                 
#3  0x091499e8 in ?? ()                                                                             
#4  0x00000002 in ?? ()                                                                             
#5  0xffffffff in ?? ()                                                                             
#6  0xffffffff in ?? ()                                                                             
#7  0x09164780 in ?? ()                                                                             
#8  0x00000000 in ?? ()                                                                             

Thread 49 (Thread 0x12e8db90 (LWP 8639)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x950d7c0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                 
#3  0x0950d7c0 in ?? ()                                                                             
#4  0x00000002 in ?? ()                                                                             
#5  0xffffffff in ?? ()                                                                             
#6  0xffffffff in ?? ()                                                                             
#7  0x094036f0 in ?? ()                                                                             
#8  0x00000000 in ?? ()                                                                             

Thread 48 (Thread 0x1788fb90 (LWP 8637)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x950b558, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87                                            
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                 
#3  0x0950b558 in ?? ()                                                                             
#4  0x00000002 in ?? ()                                                                             
#5  0xffffffff in ?? ()                                                                             
#6  0xffffffff in ?? ()                                                                             
#7  0x0950b248 in ?? ()                                                                             
#8  0x00000000 in ?? ()                                                                             

Thread 47 (Thread 0x1c291b90 (LWP 8636)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x9507088, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x09507088 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x09506ac8 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 46 (Thread 0x20c93b90 (LWP 8635)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x9605678, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x09605678 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x09603f38 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 45 (Thread 0x25695b90 (LWP 8634)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x95fcce8, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x095fcce8 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                                                                          
#6  0x0000014c in ?? ()                                                                              
#7  0x09602aa0 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 44 (Thread 0x2a097b90 (LWP 8633)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x8173350, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x08173350 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x09600600 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 43 (Thread 0x2ea99b90 (LWP 8632)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x95fa368, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x095fa368 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x095fa798 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 42 (Thread 0xae2bcb90 (LWP 8631)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x9612c80, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x09612c80 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x095f84a0 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 41 (Thread 0x3749cb90 (LWP 8630)):             
#0  0x00b07416 in __kernel_vsyscall ()                
#1  0x001e9777 in __poll (fds=0x81702d8, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x081702d8 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x081714f0 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 40 (Thread 0x3be9eb90 (LWP 8629)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x961b4f0, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x0961b4f0 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x09612e10 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 39 (Thread 0x408a0b90 (LWP 8627)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x95e2c98, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x095e2c98 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x09612028 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 38 (Thread 0x452a2b90 (LWP 8625)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x95e53e8, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                                                               
#3  0x095e53e8 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x095e1da0 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 37 (Thread 0x49ca4b90 (LWP 8624)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x95e1770, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x095e1770 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x095e0dd0 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 36 (Thread 0xaecbdb90 (LWP 8623)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x95f94d0, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x095f94d0 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x095f9938 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 35 (Thread 0x526a7b90 (LWP 8622)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x95f27c0, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x095f27c0 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                                                                            
#7  0x095f2958 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 34 (Thread 0x570a9b90 (LWP 8621)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x817b238, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x0817b238 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x0817a3c8 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 33 (Thread 0x5baabb90 (LWP 8620)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x8177140, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x08177140 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x08177ce8 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 32 (Thread 0x604adb90 (LWP 8619)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x8175030, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x08175030 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x081750f0 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 31 (Thread 0x64eafb90 (LWP 8618)):
#0  0x00b07416 in __kernel_vsyscall ()                
#1  0x001e9777 in __poll (fds=0x8166c40, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x08166c40 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x0816d2f0 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 30 (Thread 0x698b1b90 (LWP 8617)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x816e018, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x0816e018 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x0816d478 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 29 (Thread 0x6e2b3b90 (LWP 8616)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x816ac58, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x0816ac58 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x0816ad58 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 28 (Thread 0x72cb5b90 (LWP 8615)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x8167608, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x08167608 in ?? ()                                                                                                                            
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x08167768 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 27 (Thread 0x776b7b90 (LWP 8614)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x8152fc0, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x08152fc0 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x08936b98 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 26 (Thread 0x7c0b9b90 (LWP 8613)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x8152df8, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x08152df8 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x09757700 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 25 (Thread 0xaf6beb90 (LWP 8612)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x98e0008, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x098e0008 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x098d3680 in ?? ()                                                                                                                           
#8  0x00000000 in ?? ()                                                                              

Thread 24 (Thread 0x84abcb90 (LWP 8611)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x9752740, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x09752740 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x0968a370 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 23 (Thread 0x894beb90 (LWP 8610)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x974f7c0, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x0974f7c0 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x0974ff08 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              


Thread 22 (Thread 0x8dec0b90 (LWP 8609)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x84a0220, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x084a0220 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x084a03b8 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 21 (Thread 0x928c2b90 (LWP 8608)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x849d328, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x0849d328 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x0849d400 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 20 (Thread 0x972c4b90 (LWP 8607)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x8499cb8, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x08499cb8 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x08499160 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 19 (Thread 0x9bcc6b90 (LWP 8606)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x9674a40, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x09674a40 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x09746f88 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 18 (Thread 0xa06c8b90 (LWP 8605)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x96870f0, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x096870f0 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                                                                          
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x09685a78 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 17 (Thread 0xb0ac0b90 (LWP 8604)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x9683e28, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x09683e28 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x096838a8 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 16 (Thread 0xb00bfb90 (LWP 8603)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x001e9777 in __poll (fds=0x965b3c0, nfds=2, timeout=332) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x00f42937 in ?? () from /usr/lib/libpulse.so.0                                                  
#3  0x0965b3c0 in ?? ()                                                                              
#4  0x00000002 in ?? ()                                                                              
#5  0x0000014c in ?? ()                                                                              
#6  0x0000014c in ?? ()                                                                              
#7  0x097433b0 in ?? ()                                                                              
#8  0x00000000 in ?? ()                                                                              

Thread 13 (Thread 0xb277ab90 (LWP 8598)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x00b4b432 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0x0108b9df in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so                                                         
#3  0x013ff558 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so                                                         
#4  0x0108be2d in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so                                                         
#5  0x00b4751f in start_thread (arg=0xb277ab90) at pthread_create.c:297                                                           
#6  0x001f404e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130                                                         

Thread 12 (Thread 0xb317bb90 (LWP 8592)):
#0  0x00b07416 in __kernel_vsyscall ()                
#1  0x00b4d495 in sem_wait@@GLIBC_2.1 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/sem_wait.S:80
#2  0x010943a8 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so                          
#3  0x00b4751f in start_thread (arg=0xb317bb90) at pthread_create.c:297                            
#4  0x001f404e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130                          

Thread 10 (Thread 0xb3b7cb90 (LWP 8590)):
#0  0x00b07416 in __kernel_vsyscall ()   
#1  0x00b4b432 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0x048dcf1e in pt_TimedWait (cv=0x8144674, ml=0x8144610, timeout=60000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x048ddd40 in PR_WaitCondVar (cvar=0x8144670, timeout=60000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407          
#4  0x060a268f in nsHostResolver::GetHostToLookup (this=0x81445a8, result=0xb3b7c368) at nsHostResolver.cpp:595                     
#5  0x060a2d98 in nsHostResolver::ThreadFunc (arg=0x81445a8) at nsHostResolver.cpp:690                                              
#6  0x048e40d1 in _pt_root (arg=0x92606f0) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221                               
#7  0x00b4751f in start_thread (arg=0xb3b7cb90) at pthread_create.c:297                                                             
#8  0x001f404e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130                                                           

Thread 7 (Thread 0xb457db90 (LWP 8583)):
#0  0x00b07416 in __kernel_vsyscall ()  
#1  0x00b4b105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x048dddb7 in PR_WaitCondVar (cvar=0x8e16e60, timeout=4294967295) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x048dde37 in PR_Wait (mon=0x8e16ea0, timeout=4294967295) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584        
#4  0x06885055 in nsAutoMonitor::Wait () at ../../dist/include/xpcom/nsAutoLock.h:340                                          
#5  nsEventQueue::GetEvent (this=0x8e16dd0, mayWait=1, result=0xb457d2f4) at nsEventQueue.cpp:85                               
#6  0x06885f02 in nsThread::nsChainedEventQueue::GetEvent () at nsThread.h:112                                                 
#7  nsThread::ProcessNextEvent (this=0x8e16db0, mayWait=1, result=0xb457d334) at nsThread.cpp:501                              
#8  0x06852cf4 in NS_ProcessNextEvent_P (thread=0x80, mayWait=1) at nsThreadUtils.cpp:227                                      
#9  0x068867e2 in nsThread::ThreadFunc (arg=0x8e16db0) at nsThread.cpp:254                                                     
#10 0x048e40d1 in _pt_root (arg=0x8e16fd8) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221                          
#11 0x00b4751f in start_thread (arg=0xb457db90) at pthread_create.c:297                                                        
#12 0x001f404e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130                                                      

Thread 6 (Thread 0xb4f7eb90 (LWP 8582)):
#0  0x00b07416 in __kernel_vsyscall ()  
#1  0x00b4b105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x048dddb7 in PR_WaitCondVar (cvar=0x8dea240, timeout=4294967295) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x0668c231 in nsCertVerificationThread::Run (this=0x8dea190) at nsCertVerificationThread.cpp:138                                                                                                  
#4  0x0668a9da in nsPSMBackgroundThread::nsThreadRunner (arg=0x8dea190) at nsPSMBackgroundThread.cpp:44                        
#5  0x048e40d1 in _pt_root (arg=0x8dea280) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221                          
#6  0x00b4751f in start_thread (arg=0xb4f7eb90) at pthread_create.c:297                                                        
#7  0x001f404e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130                                                      

Thread 5 (Thread 0xb597fb90 (LWP 8581)):
#0  0x00b07416 in __kernel_vsyscall ()  
#1  0x00b4b105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x048dddb7 in PR_WaitCondVar (cvar=0x8de6f90, timeout=4294967295) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x0668b0c3 in nsSSLThread::Run (this=0x8de6f08) at nsSSLThread.cpp:964                                                     
#4  0x0668a9da in nsPSMBackgroundThread::nsThreadRunner (arg=0x8de6f08) at nsPSMBackgroundThread.cpp:44                        
#5  0x048e40d1 in _pt_root (arg=0x8dea028) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221                          
#6  0x00b4751f in start_thread (arg=0xb597fb90) at pthread_create.c:297                                                        
#7  0x001f404e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130                                                      

Thread 4 (Thread 0xb6916b90 (LWP 8580)):
#0  0x00b07416 in __kernel_vsyscall ()  
#1  0x00b4b432 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0x048dcf1e in pt_TimedWait (cv=0x838426c, ml=0x83946fc, timeout=60000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x048ddd40 in PR_WaitCondVar (cvar=0x8384268, timeout=60000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407          
#4  0x048dde37 in PR_Wait (mon=0x83946f8, timeout=60000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584                  
#5  0x0688808b in nsAutoMonitor::Wait () at ../../dist/include/xpcom/nsAutoLock.h:340                                               
#6  nsThreadPool::Run (this=0x8385e28) at nsThreadPool.cpp:200                                                                      
#7  0x06885f2c in nsThread::ProcessNextEvent (this=0x8395150, mayWait=1, result=0xb6916334) at nsThread.cpp:510                     
#8  0x06852cf4 in NS_ProcessNextEvent_P (thread=0x80, mayWait=1) at nsThreadUtils.cpp:227                                           
#9  0x068867e2 in nsThread::ThreadFunc (arg=0x8395150) at nsThread.cpp:254                                                          
#10 0x048e40d1 in _pt_root (arg=0x8394a18) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221                               
#11 0x00b4751f in start_thread (arg=0xb6916b90) at pthread_create.c:297                                                             
#12 0x001f404e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130                                                           

Thread 3 (Thread 0xb73dab90 (LWP 8579)):
#0  0x00b07416 in __kernel_vsyscall ()  
#1  0x00b4b432 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0x048dcf1e in pt_TimedWait (cv=0x80abd6c, ml=0x80abd08, timeout=84) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280 
#3  0x048ddd40 in PR_WaitCondVar (cvar=0x80abd68, timeout=84) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407           
#4  0x068895a0 in TimerThread::Run (this=0x80abc48) at TimerThread.cpp:345                                                        
#5  0x06885f2c in nsThread::ProcessNextEvent (this=0x814dae0, mayWait=1, result=0xb73da334) at nsThread.cpp:510                                                                                           
#6  0x06852cf4 in NS_ProcessNextEvent_P (thread=0x80, mayWait=1) at nsThreadUtils.cpp:227                                         
#7  0x068867e2 in nsThread::ThreadFunc (arg=0x814dae0) at nsThread.cpp:254                                                        
#8  0x048e40d1 in _pt_root (arg=0x817be88) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221                             
#9  0x00b4751f in start_thread (arg=0xb73dab90) at pthread_create.c:297                                                           
#10 0x001f404e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130                                                         

Thread 2 (Thread 0xb7ddbb90 (LWP 8578)):
#0  0x00b07416 in __kernel_vsyscall ()  
#1  0x001e9777 in __poll (fds=0xb7ddaf58, nfds=2, timeout=65535000) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x048dfca4 in _pr_poll_with_poll (pds=0x81411a8, npds=2, timeout=65535000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3916
#3  0x0609859b in nsSocketTransportService::Poll (this=0x8140cc8, wait=1, interval=0xb7ddb1d8) at nsSocketTransportService2.cpp:349   
#4  0x06098ab0 in nsSocketTransportService::DoPollIteration (this=0x8140cc8, wait=1) at nsSocketTransportService2.cpp:644             
#5  0x06098d6c in nsSocketTransportService::OnProcessNextEvent (this=0x8140cc8, thread=0x81407f0, mayWait=1, depth=1)                 
    at nsSocketTransportService2.cpp:523                                                                                              
#6  0x06885ed0 in nsThread::ProcessNextEvent (this=0x81407f0, mayWait=1, result=0xb7ddb284) at nsThread.cpp:497                       
#7  0x06852cf4 in NS_ProcessNextEvent_P (thread=0x2, mayWait=1) at nsThreadUtils.cpp:227                                              
#8  0x060987c7 in nsSocketTransportService::Run (this=0x8140cc8) at nsSocketTransportService2.cpp:565                                 
#9  0x06885f2c in nsThread::ProcessNextEvent (this=0x81407f0, mayWait=1, result=0xb7ddb334) at nsThread.cpp:510                       
#10 0x06852cf4 in NS_ProcessNextEvent_P (thread=0x2, mayWait=1) at nsThreadUtils.cpp:227                                              
#11 0x068867e2 in nsThread::ThreadFunc (arg=0x81407f0) at nsThread.cpp:254                                                            
#12 0x048e40d1 in _pt_root (arg=0x8141518) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221                                 
#13 0x00b4751f in start_thread (arg=0xb7ddbb90) at pthread_create.c:297                                                               
#14 0x001f404e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130                                                             

Thread 1 (Thread 0xb7fdc6d0 (LWP 8567)):
#0  0x00b07416 in __kernel_vsyscall ()  
#1  0x0013b460 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x0013ce28 in abort () at abort.c:88                                     
#3  0x0013440e in __assert_fail (assertion=0x6883f4 "p->context", file=0x688124 "pulse.c", line=200, function=0x6884d3 "pulse_new")
    at assert.c:78                                                                                                                 
#4  0x00688094 in pulse_new () from /usr/lib/alsa-lib/libasound_module_pcm_pulse.so                                                
#5  0x00687172 in _snd_pcm_pulse_open () from /usr/lib/alsa-lib/libasound_module_pcm_pulse.so                                      
#6  0x03ea7dd2 in ?? () from /usr/lib/libasound.so                                                                                 
#7  0x03ea851d in ?? () from /usr/lib/libasound.so                                                                                 
#8  0x010936a5 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so                                                          
#9  0x01094114 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so                                                          
#10 0x012f1c61 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so                                                          
#11 0x012f1e9d in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#12 0x013ef995 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#13 0x013efc44 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#14 0x013fa434 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#15 0x013d1bb1 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#16 0x013abca1 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#17 0x011818a8 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#18 0x013ad27a in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#19 0x00ff3e4d in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#20 0x02ef0d5e in XtDispatchEventToWidget () from /usr/lib/libXt.so.6
#21 0x02ef1422 in ?? () from /usr/lib/libXt.so.6
#22 0x02ef03b7 in XtDispatchEvent () from /usr/lib/libXt.so.6
#23 0x02efdc71 in XtAppProcessEvent () from /usr/lib/libXt.so.6
#24 0x068b592c in xt_event_dispatch (source_data=0x8c18b40, call_back=0, user_data=0x0) at gtk2xtbin.c:176
#25 0x04226238 in g_main_dispatch () at gmain.c:2144
#26 IA__g_main_context_dispatch (context=0x8086eb8) at gmain.c:2697
#27 0x042298e3 in g_main_context_iterate (context=0x8086eb8, block=1, dispatch=1, self=0x8063b50) at gmain.c:2778
#28 0x04229aa1 in IA__g_main_context_iteration (context=0x8086eb8, may_block=1) at gmain.c:2841
#29 0x059fb7b4 in IA__gtk_main_iteration () at gtkmain.c:1288
#30 0x00ff0bb5 in ?? () from /home/kmg/.mozilla/plugins/libflashplayer.so
#31 0x04226966 in g_timeout_dispatch (source=0x8edde20, callback=0, user_data=0xb1017000) at gmain.c:3589
#32 0x04226238 in g_main_dispatch () at gmain.c:2144
#33 IA__g_main_context_dispatch (context=0x8086eb8) at gmain.c:2697
#34 0x042298e3 in g_main_context_iterate (context=0x8086eb8, block=0, dispatch=1, self=0x8063b50) at gmain.c:2778
#35 0x04229aa1 in IA__g_main_context_iteration (context=0x8086eb8, may_block=0) at gmain.c:2841
#36 0x0679c588 in nsAppShell::ProcessNextNativeEvent (this=0x8199d20, mayWait=0) at nsAppShell.cpp:144
#37 0x067b31a8 in nsBaseAppShell::DoProcessNextNativeEvent (this=0x8199d20, mayWait=0) at nsBaseAppShell.cpp:151
#38 0x067b33b1 in nsBaseAppShell::OnProcessNextEvent (this=0x8199d20, thr=0x809b370, mayWait=1, recursionDepth=0) at nsBaseAppShell.cpp:278
#39 0x06885ed0 in nsThread::ProcessNextEvent (this=0x809b370, mayWait=1, result=0xbfffbc14) at nsThread.cpp:497
#40 0x06852cf4 in NS_ProcessNextEvent_P (thread=0x2177, mayWait=1) at nsThreadUtils.cpp:227
#41 0x067b3488 in nsBaseAppShell::Run (this=0x8199d20) at nsBaseAppShell.cpp:170
#42 0x06666e38 in nsAppStartup::Run (this=0x81ec400) at nsAppStartup.cpp:181
#43 0x06030de0 in XRE_main (argc=1, argv=0xbffff324, aAppData=0x80635d0) at nsAppRunner.cpp:3193
#44 0x08049169 in main (argc=1, argv=0xbffff324) at nsXULStub.cpp:364
(gdb) q
The program is running.  Exit anyway? (y or n) y

===
Comment 3 Matěj Cepl 2009-03-05 03:27:56 EST
Please do, what it says you to do (debuginfo-install is from yum-utils package; and yes this should be one line):

debuginfo-install ORBit2-2.14.16-1.fc10.i386 alsa-lib-devel-1.0.19-2.fc10.i386 alsa-plugins-pulseaudio-1.0.18-2.fc10.i386 avahi-0.6.22-12.fc10.i386 avahi-glib-0.6.22-12.fc10.i386 dbus-glib-0.76-3.fc10.i386 dbus-libs-1.2.4-2.fc10.i386 e2fsprogs-libs-1.41.4-1.fc10.i386 expat-2.0.1-5.i386 gdbm-1.8.0-29.fc10.i386 gnome-keyring-2.24.1-1.fc10.i386 gtk-nodoka-engine-0.7.2-1.fc10.i386 keyutils-libs-1.2-3.fc9.i386 krb5-libs-1.6.3-16.fc10.i386 lcms-libs-1.17-6.fc10.i386 libICE-1.0.4-4.fc10.i386 libSM-1.1.0-2.fc10.i386 libX11-1.1.4-6.fc10.i386 libXScrnSaver-1.1.3-1.fc10.i386 libXau-1.0.4-1.fc10.i386 libXcomposite-0.4.0-5.fc10.i386 libXcursor-1.1.9-3.fc10.i386 libXdamage-1.1.1-4.fc9.i386 libXdmcp-1.0.2-6.fc10.i386 libXext-1.0.4-1.fc9.i386 libXfixes-4.0.3-4.fc10.i386 libXft-2.1.13-1.fc10.i386 libXi-1.1.3-4.fc9.i386 libXinerama-1.0.3-2.fc10.i386 libXrandr-1.2.3-1.fc10.i386 libXrender-0.9.4-3.fc9.i386 libXt-1.0.5-1.fc10.i386 libart_lgpl-2.3.20-1.fc9.i386 libasyncns-0.7-1.fc10.i386 libbonobo-2.24.0-2.fc10.i386 libbonoboui-2.24.0-1.fc10.i386 libcap-2.10-2.fc10.i386 libgnome-2.24.1-9.fc10.i386 libgnomecanvas-2.20.1.1-4.fc10.i386 libgnomeui-2.24.0-2.fc10.i386 libjpeg-6b-43.fc10.i386 libpng-1.2.35-1.fc10.i386 libselinux-2.0.73-1.fc10.i386 libxcb-1.1.91-5.fc10.i386 libxml2-2.7.3-1.fc10.i386 nss-3.12.2.0-4.fc10.i386 openssl-0.9.8g-12.fc10.i686 pixman-0.12.0-2.fc10.i386 popt-1.13-4.fc10.i386 pulseaudio-libs-0.9.14-1.fc10.i386 sqlite-3.5.9-4.fc10.i386 zlib-1.2.3-18.fc9.i386

and then please reproduce this issue and regenerate backtrace. Also, please note, that it is much more useful for us if you ATTACH text file to this bug instead of pasting it here.

Thank you very much in advance.
Comment 4 kevin 2009-03-05 15:38:58 EST
Created attachment 334208 [details]
Output from "rpm -qa" and "firefox -g"

Extra info as requested - but as before. The "firefox" command terminates normally well before the crash occurs. So again I have included the output from "gdb /usr/lib/firefox-3.0.6/firefox" just in case that helps.
Comment 5 Matěj Cepl 2009-03-05 18:48:05 EST
There were * characters around these names:

rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Could you please try once more? Do you use flash-plugin from the Adobe yum repository, and do you have nspluginwrapper installed?
Comment 6 kevin 2009-03-05 19:34:21 EST
i) If '*' required, then output in the attachment. If not, then refer to Comment #1.

ii) flash: "grep -i flash /var/log/rpmpkgs" does not produce anything. Neither is there any "flash" in "yum list available" output. *BUT* I do not have the Adobe repository defined. Should I have flash-* installed?

iii) "nspluginwrapper":
$ grep nspluginwrapper /var/log/rpmpkgs
nspluginwrapper-1.3.0-2.fc10.i386.rpm
nspluginwrapper-debuginfo-1.3.0-2.fc10.i386.rpm

Cheers,
Kevin
Comment 7 Matěj Cepl 2009-03-06 09:29:03 EST
This is not firefox issue, but Pulseaduio one. Reasssigning.
Comment 8 Lennart Poettering 2009-04-13 11:43:03 EDT
*** Bug 495394 has been marked as a duplicate of this bug. ***
Comment 9 Peter Robinson 2009-04-19 04:13:16 EDT
I'm seeing the following crash in firefox when using swfdec-mozilla to watch youtube. Watching video in firefox using the totem video plugin at Apple's trailers website works fine without crash.

Loading stream: http://i2.ytimg.com/vi/UAeEl8pgpds/default.jpg
Loading stream: http://i1.ytimg.com/vi/lBTVdnWj1hM/default.jpg
Loading stream: http://i4.ytimg.com/vi/7cOZMxo6prg/default.jpg
Loading stream: http://i4.ytimg.com/vi/7gHvATmUsSg/default.jpg
Loading stream: http://i1.ytimg.com/vi/PSkUlEvZdww/default.jpg
unhandled event 19
Loading stream: http://s.ytimg.com/yt/swf/watch-vfl91147.swf
Loading stream: http://v18.lscache5.googlevideo.com/videoplayback?id=9032a241f06cf65a&itag=34&sparams=id%2Cexpire%2Cip%2Cipbits%2Citag&ip=78.86.161.128&signature=B61720346D72D6AAA9E935F3A08F5C38E4D40E84.4A9116DFAFC0FB43777F71C82FA3A4ADB0F810EC&sver=3&expire=1240150019&key=yt1&ipbits=0
SWFDEC: ERROR: swfdec_video_decoder_gst.c(149): swfdec_video_decoder_gst_decode: failed to pull decoded buffer. Broken stream?
SWFDEC: ERROR: swfdec_audio_decoder.c(203): swfdec_audio_decoder_errorv: error decoding audio: no suitable decoder for audio codec 10
Loading stream: http://video-stats.video.google.com/s?ns=yt&docid=kDKiQfBs9lo&fmt=34&hl=en&vid=SKwMEB44nBQ6HMGlrI2gYVZOApCHhGL3C&fexp=903900&el=detailpage&cr=US&h=360&rt=0.7&md=1&sd=B4A7D0402&bc=165841&len=514.784&fv=WIN%209%2C0%2C999%2C0&w=640&st=0.067&plid=AARn4-W8-XkWLF28&et=0.067
SWFDEC: ERROR: swfdec_audio_decoder.c(203): swfdec_audio_decoder_errorv: error decoding audio: no suitable decoder for audio codec 10
unhandled event 19
Loading stream: http://s.ytimg.com/yt/swf/watch-vfl91147.swf
Loading stream: http://v18.lscache5.googlevideo.com/videoplayback?id=9032a241f06cf65a&itag=34&sparams=id%2Cexpire%2Cip%2Cipbits%2Citag&ip=78.86.161.128&signature=B55698CDDD030F2679B194C12730B235269CD1C0.B0764F04656D6D1B1586F8E692FE53A0273E52A6&sver=3&expire=1240150082&key=yt1&ipbits=0
SWFDEC: ERROR: swfdec_video_decoder_gst.c(149): swfdec_video_decoder_gst_decode: failed to pull decoded buffer. Broken stream?
SWFDEC: ERROR: swfdec_audio_decoder.c(203): swfdec_audio_decoder_errorv: error decoding audio: no suitable decoder for audio codec 10
Loading stream: http://video-stats.video.google.com/s?ns=yt&docid=kDKiQfBs9lo&fmt=34&vid=SKwMEB44nBQ6HMGlrI2gYVZOApCHhGL3C&fexp=903900&el=detailpage&hl=en&cr=US&rt=1.5&h=360&bc=143745&md=1&sd=B4A7D0402&len=514.784&fv=WIN%209%2C0%2C999%2C0&plid=AARn4-mAl4F7cnkj&st=0.033&w=640&et=0.033
/usr/lib64/firefox-3.1b3/run-mozilla.sh: line 131: 21333 Segmentation fault      "$prog" ${1+"$@"}
Comment 10 Lennart Poettering 2009-07-31 10:07:06 EDT
That assert should not be hit anymore in alsa-plugins 1.0.20-4

Note You need to log in before you can comment on or make changes to this bug.